Bug 309006 - Mouse Click effect
Summary: Mouse Click effect
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.9.2
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 4.10
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/105...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-25 19:05 UTC by Martin Flöser
Modified: 2012-10-26 07:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-10-25 19:05:35 UTC
see https://git.reviewboard.kde.org/r/105780/
Comment 1 Martin Flöser 2012-10-26 07:47:23 UTC
Git commit 49b350df9cd8322d2fbb140de50c985a31e7a5c9 by Martin Gräßlin, on behalf of Filip Wieladek.
Committed on 27/07/2012 at 07:58.
Pushed by graesslin into branch 'master'.

Mouse Click animation effect

An effect which visualy animates when a mouse button is pressed or
released.

REVIEW: 105780
FIXED-IN: 4.10

M  +1    -0    kwin/effects/CMakeLists.txt
M  +2    -0    kwin/effects/configs_builtins.cpp
A  +27   -0    kwin/effects/mouseclick/CMakeLists.txt
A  +315  -0    kwin/effects/mouseclick/mouseclick.cpp     [License: GPL (v2)]
A  +17   -0    kwin/effects/mouseclick/mouseclick.desktop
A  +141  -0    kwin/effects/mouseclick/mouseclick.h     [License: GPL (v2)]
A  +162  -0    kwin/effects/mouseclick/mouseclick_config.cpp     [License: GPL (v2)]
A  +9    -0    kwin/effects/mouseclick/mouseclick_config.desktop
A  +58   -0    kwin/effects/mouseclick/mouseclick_config.h     [License: GPL (v2)]
A  +285  -0    kwin/effects/mouseclick/mouseclick_config.ui

http://commits.kde.org/kde-workspace/49b350df9cd8322d2fbb140de50c985a31e7a5c9